## CongAttributeEditorCDATA

CongAttributeEditorCDATA —

## Synopsis

    struct      CongAttributeEditorCDATA;
    #define     CONG_ATTRIBUTE_EDITOR_CDATA     (obj)
    #define     CONG_ATTRIBUTE_EDITOR_CDATA_CLASS(klass)
    #define     IS_CONG_ATTRIBUTE_EDITOR_CDATA  (obj)
    GType       cong_attribute_editor_cdata_get_type
                                                (void);
    CongAttributeEditor* cong_attribute_editor_cdata_construct
                                                (CongAttributeEditorCDATA *attribute_editor_cdata,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_cdata_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GtkHBox
                                     +----CongAttributeEditor
                                           +----CongAttributeEditorCDATA

## Implemented Interfaces

CongAttributeEditorCDATA implements AtkImplementorIface.

## Description

## Details

### struct CongAttributeEditorCDATA

    struct CongAttributeEditorCDATA;

### CONG_ATTRIBUTE_EDITOR_CDATA()

    #define CONG_ATTRIBUTE_EDITOR_CDATA(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_ATTRIBUTE_EDITOR_CDATA_TYPE, CongAttributeEditorCDATA)

`obj` : |

### CONG_ATTRIBUTE_EDITOR_CDATA_CLASS()

    #define CONG_ATTRIBUTE_EDITOR_CDATA_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_ATTRIBUTE_EDITOR_CDATA_TYPE, CongAttributeEditorCDATAClass)

`klass` : |

### IS_CONG_ATTRIBUTE_EDITOR_CDATA()

    #define IS_CONG_ATTRIBUTE_EDITOR_CDATA(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_ATTRIBUTE_EDITOR_CDATA_TYPE)

`obj` : |

### cong_attribute_editor_cdata_get_type ()

    GType       cong_attribute_editor_cdata_get_type
                                                (void);

Returns : |

### cong_attribute_editor_cdata_construct ()

    CongAttributeEditor* cong_attribute_editor_cdata_construct
                                                (CongAttributeEditorCDATA *attribute_editor_cdata,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

TODO: Write me

`attribute_editor_cdata` : |
`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_cdata_new ()

    GtkWidget*  cong_attribute_editor_cdata_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

TODO: Write me

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |